Index: c/src/lib/libcpu/sh/sh7750/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision bd7b5897190dd958fd3241e7492f282d1fa56445)
@@ -1,2 +1,11 @@
+2003-01-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in subdir Makefile.ams
+	* configure.ac: Reflect changes above.
+	* score/Makefile.am: Removed.
+	* sci/Makefile.am: Removed.
+	* timer/Makefile.am: Removed.
+	* clock/Makefile.am: Removed.
+
 2002-01-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/sh/sh7750/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7750/Makefile.am	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ c/src/lib/libcpu/sh/sh7750/Makefile.am	(revision bd7b5897190dd958fd3241e7492f282d1fa56445)
@@ -5,5 +5,6 @@
 ACLOCAL_AMFLAGS = -I ../../../../../../aclocal
 
-SUBDIRS = . score clock sci timer
+include $(top_srcdir)/../../../../../../automake/compile.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 # NOTE: Unlike other CPUS, we install into a subdirectory to avoid
@@ -29,5 +30,5 @@
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES = \
+PREINSTALL_FILES = \
     $(PROJECT_INCLUDE)/sh \
     $(include_sh_HEADERS:include/%=$(PROJECT_INCLUDE)/%) \
@@ -37,4 +38,61 @@
 all-local: $(TMPINSTALL_FILES)
 
-include $(top_srcdir)/../../../../../../automake/subdirs.am
+## clock
+
+PGMS = $(ARCH)/clock.rel
+
+clock_C_FILES = clock/ckinit.c
+clock_rel_OBJECTS = $(clock_C_FILES:clock/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST = $(clock_C_FILES)
+
+${ARCH}/%.$(OBJEXT): clock/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/clock.rel: $(clock_rel_OBJECTS)
+	${make-rel}
+
+## sci
+
+PGMS += $(ARCH)/sci.rel
+
+sci_C_FILES = sci/sh4uart.c
+sci_rel_OBJECTS = $(sci_C_FILES:sci/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST += $(sci_C_FILES)
+
+${ARCH}/%.$(OBJEXT): sci/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/sci.rel: $(sci_rel_OBJECTS)
+	${make-rel}
+
+## score
+
+PGMS += $(ARCH)/score.rel
+
+score_C_FILES = score/cpu_asm.c score/ispsh7750.c
+score_rel_OBJECTS = $(score_C_FILES:score/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST += $(score_C_FILES)
+
+${ARCH}/%.$(OBJEXT): score/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/score.rel: $(score_rel_OBJECTS)
+	${make-rel}
+
+## timer
+
+PGMS += $(ARCH)/timer.rel
+
+timer_C_FILES = timer/timer.c
+timer_rel_OBJECTS = $(timer_C_FILES:timer/%.c=$(ARCH)/%.$(OBJEXT))
+EXTRA_DIST += $(timer_C_FILES)
+
+${ARCH}/%.$(OBJEXT): timer/%.c
+	${COMPILE} -o $@ -c $<
+${ARCH}/timer.rel: $(timer_rel_OBJECTS)
+	${make-rel}
+
+# --
+
+all-local: $(ARCH) $(PGMS) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(PGMS)
+
 include $(top_srcdir)/../../../../../../automake/local.am
Index: src/lib/libcpu/sh/sh7750/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7750/clock/Makefile.am	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/clock.rel
-
-C_FILES = ckinit.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = ckinit.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7750/configure.ac
===================================================================
--- c/src/lib/libcpu/sh/sh7750/configure.ac	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ c/src/lib/libcpu/sh/sh7750/configure.ac	(revision bd7b5897190dd958fd3241e7492f282d1fa56445)
@@ -28,8 +28,4 @@
 
 # Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-clock/Makefile
-score/Makefile
-sci/Makefile
-timer/Makefile])
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: src/lib/libcpu/sh/sh7750/sci/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7750/sci/Makefile.am	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ 	(revision )
@@ -1,24 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/sci.rel
-
-C_FILES = sh4uart.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-include $(top_srcdir)/../../../../../../automake/local.am
Index: src/lib/libcpu/sh/sh7750/score/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7750/score/Makefile.am	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/score.rel
-
-C_FILES = cpu_asm.c ispsh7750.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = ispsh7750.c cpu_asm.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
Index: src/lib/libcpu/sh/sh7750/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7750/timer/Makefile.am	(revision c62c75afd4796c3cf8d168fd0c5e574ab4345afa)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-PGM = $(ARCH)/timer.rel
-
-C_FILES = timer.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(ARCH) $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = timer.c
-
-include $(top_srcdir)/../../../../../../automake/local.am
